## manderlbot 0.9.2

=== Makefile ===
# Build the .beam erlang VM files
OPT = -W
INC = ./inc
CC  = erlc
ERL = erl
SED = $(shell which sed)

ESRC = ./src
EBIN = ./ebin

RAW_INSTALL_DIR = /usr/lib/erlang/
ERLANG_INSTALL_DIR = $(DESTDIR)/$(RAW_INSTALL_DIR)/lib
APPLICATION = manderlbot
VERSION = 0.9.2

TARGETDIR = $(ERLANG_INSTALL_DIR)/$(APPLICATION)-$(VERSION)
BINDIR    = $(DESTDIR)/usr/bin
CONFDIR   = $(DESTDIR)/etc/manderlbot
LOGFILE   = $(DESTDIR)/var/log/manderlbot.log

TMP       = $(wildcard *~) $(wildcard src/*~) $(wildcard inc/*~)
INC_FILES = $(wildcard $(INC)/*.hrl)
SRC       = $(wildcard $(ESRC)/*.erl)
CONFFILES = conf/config.xml $(wildcard conf/*fortune)

TARGET   = $(addsuffix .beam, $(basename \
             $(addprefix $(EBIN)/, $(notdir $(SRC)))))
EMAKE    = $(addsuffix \'., $(addprefix \'../, $(SRC)))

SRC_APPFILES   = $(ESRC)/$(APPLICATION).app.src $(ESRC)/$(APPLICATION).rel.src
TGT_APPFILES_E = $(EBIN)/$(APPLICATION).app
TGT_APPFILES_P = priv/$(APPLICATION)*

SCRIPT   = $(BINDIR)/manderlbot
BUILD_OPTIONS =	'[{systools, [{variables,[{"ROOT","$(RAW_INSTALL_DIR)"}]}]}, \
	{sh_script, none}, {report, verbose}, {app_vsn, "$(VERSION)"}, \
        {make_app, true }, {make_rel, true}].'
BUILD_OPTIONS_FILE = ./BUILD_OPTIONS 

.PHONY: doc

manderlbot: $(TARGET)

all: clean manderlbot

# used to generate the erlang Emakefile
emake:
	@echo $(EMAKE) | tr -s ' ' '\n' > ebin/Emakefile

clean:
	-cd priv && rm -f $(shell ls priv | grep -v builder\.erl) && cd ..
	-rm -f $(TARGET) $(TMP) $(BUILD_OPTIONS_FILE) builder.beam
	-rm -f $(TGT_APPFILES)
	-rm -f ebin/*
	-rm -f manderlbot.sh
	-make -C doc clean

install: doc build manderlbot.sh
	-rm -f $(TMP)

	install -d $(TARGETDIR)/priv
	install -d $(TARGETDIR)/ebin
	install -d $(TARGETDIR)/src
	install -d $(TARGETDIR)/include

	cp $(INC_FILES) $(TARGETDIR)/include
	cp $(TARGET) $(TARGETDIR)/ebin

	cp $(TGT_APPFILES_E) $(TARGETDIR)/ebin
	cp $(TGT_APPFILES_P) $(TARGETDIR)/priv

	cp $(SRC) $(SRC_APPFILES) $(TARGETDIR)/src

# install the man page
	install -d $(DESTDIR)/usr/share/man/man1
	install doc/manderlbot.1 $(DESTDIR)/usr/share/man/man1

# create startup script
	cp manderlbot.sh $(SCRIPT)
	chmod +x $(SCRIPT)

# added for debian
	mkdir -p $(CONFDIR)
	cp $(CONFFILES) $(CONFDIR)

uninstall:
	rm -rf $(TARGETDIR) $(SCRIPT)

build: manderlbot builder.beam $(SRC_APPFILES)
# use builder to make boot file
	mkdir -p temp
	ln -sf `pwd` temp/$(APPLICATION)-$(VERSION)
	(cd temp/$(APPLICATION)-$(VERSION) \
	 && echo $(BUILD_OPTIONS) > $(BUILD_OPTIONS_FILE) \
	 && erl -s builder go -s init stop \
	)
	rm -rf temp

doc: 
	make -C doc

release:
	rm -fr $(APPLICATION)-$(VERSION)
	mkdir -p $(APPLICATION)-$(VERSION)
	tar zcf tmp.tgz $(SRC) $(SRC_APPFILES) $(INC_FILES) \
		doc/*.lyx doc/Makefile doc/*.hva doc/*sgml \
		LICENSE README TODO $(CONFFILES) Makefile \
		priv/builder.erl manderlbot.sh.in bofh.fortune
	tar -C $(APPLICATION)-$(VERSION) -zxf tmp.tgz
	mkdir $(APPLICATION)-$(VERSION)/ebin
	tar zvcf  $(APPLICATION)-$(VERSION).tar.gz $(APPLICATION)-$(VERSION)
	rm -fr $(APPLICATION)-$(VERSION)
	rm -fr tmp.tgz

builder.beam: priv/builder.erl 
	$(CC) $(OPT) -I $(INC) $<

ebin/%.beam: src/%.erl 
	$(CC) $(OPT) -I $(INC) -o ebin $<

manderlbot.sh: manderlbot.sh.in Makefile
	@$(SED) \
		-e 's;%INSTALL_DIR%;${RAW_INSTALL_DIR};g' \
		-e 's;%VERSION%;${VERSION};g' < $< > $@

%:%.sh
# Override makefile default implicit rule

=== doc/Makefile ===
# $Id: Makefile,v 1.7 2003/12/27 14:09:03 acid_ Exp $

MANPAGE  = manderlbot.1.sgml
DOCUMENT = $(basename $(wildcard *.lyx))

all: man $(DOCUMENT).tex $(DOCUMENT).html $(DOCUMENT).ps $(DOCUMENT).pdf

man: $(MANPAGE)
	docbook2man $< >/dev/null 2>&1

%.ps:%.lyx
	lyx -e ps $<

%.pdf:%.lyx
	lyx -e pdf $<

%.tex:%.lyx
	lyx -e latex $<

%.html:%.tex
	hevea -fix url-fix.hva $<
	-rm *.htoc *.haux

clean:
	-rm -f *~
	-rm -f $(DOCUMENT).tex $(DOCUMENT).html $(DOCUMENT).ps $(DOCUMENT).pdf manderlbot.1 manpage.*

=== debian/changelog ===
manderlbot (0.9.2-19) unstable; urgency=low

  * Fixed options in manpage.
  * Removed % from additional CSS to please hevea (closes: #753225).
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Jul 2014 12:38:21 +0400

manderlbot (0.9.2-18) unstable; urgency=low

  * Switched to 3.0 (quilt) source format.
  * Bumped debhelper compatibility version to 8.
  * Bumped standards version to 3.9.4.
  * Added ${misc:Depends} variable to the binary package dependencies list.
  * Removed an article from the package short description.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Aug 2013 21:34:09 +0400

manderlbot (0.9.2-17) unstable; urgency=low

  * New maintainer's email address pkg-erlang-devel@lists.alioth.debian.org
    mailing list.
  * Fixed two small bugs in bloto and fortune behaviors.
  * Use ${erlang:Depends} subst variable which expands into automatically
    calculated dependencies by erlang-depends.
  * Added debian/README.source file with a reference to
    /usr/share/doc/quilt/README.source.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 02 Oct 2009 00:29:28 +0400

manderlbot (0.9.2-16) unstable; urgency=low

  * Removed Torsten Werner from the uploaders list as per his request.
  * Loosened runtime dependencies to erlang-inets and erlang-xmerl to match
    new Erlang packages structure.
  * Added cm-super to build-dependencies to use Type1 fonts in PDF
    documentation.
  * Fixed page size in PDF documentation to fit paper size.
  * Removed documentation in intermediate LaTeX format from the binary
    package.
  * Bumped standards version to 3.8.2.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 29 Jun 2009 10:19:31 +0400

manderlbot (0.9.2-15) unstable; urgency=low

  * Protected quilt calls in debian/rules to make the source package
    convertible to 3.0 (quilt) format (closes: #484911).
  * Fixed default config file (removed extra spaces from its elements
    character data).
  * Removed obsolete guards and switched to re from regexp module.
  * Added build-dependency on erlang-dev (>= 1:13.b) to make transition to
    Erlang R13B easier.
  * Bumped standards version to 3.8.1.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 01 May 2009 20:37:44 +0400

manderlbot (0.9.2-14) unstable; urgency=low

  * Changed startup procedure to make manderlbot starting after erlang
    upgrade.
  * Fixed manderlbot synopsis in manpage.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 03 Feb 2009 19:33:14 +0300

manderlbot (0.9.2-13) unstable; urgency=low

  * Fixed FTBFS in case when a build directory doesn't follow pattern
    manderlbot-<version> (closes: #483347).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 28 May 2008 15:43:44 +0400

manderlbot (0.9.2-12) unstable; urgency=low

  * Fixed clean target to work with debhelper 7.0 (made dh_clean the last
    command, so debhelper logs are removed now).
  * Bumped standards version to 3.7.3.
  * Clarified copyright notice.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 18 May 2008 12:10:15 +0400

manderlbot (0.9.2-11) unstable; urgency=low

  * Adapted manual page source to new more strict docbook2man (closes: #450458).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 07 Nov 2007 22:12:56 +0300

manderlbot (0.9.2-10) unstable; urgency=low

  * Added Sergei Golovan <sgolovan@debian.org> to uploaders list.
  * Rewritten clean target in debian/rules to ignore only missing Makefile
    error.
  * Made clean-patched target in debian/rules depend on patch-stamp.
  * Bumped debhelper compatibility level to 5.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 06 Sep 2007 19:25:24 +0400

manderlbot (0.9.2-9) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Werner <twerner@debian.org>  Thu, 17 May 2007 20:36:50 +0400

manderlbot (0.9.2-8) experimental; urgency=low

  [ Torsten Werner ]
  * Remove already fulfilled (ake redundant) Build-Depends.
  * Switched to erlang-depends.
  * Switch to texlive instead of tetex.

  [ Sergei Golovan ]
  * Fixed clean target in debian/rules. (Closes: #424565)
  * Applied quilt for patch management.

 -- Torsten Werner <twerner@debian.org>  Wed, 16 May 2007 21:18:37 +0200

manderlbot (0.9.2-7) unstable; urgency=low

  [ Sergei Golovan ]
  * Removed sources from resulting package. If someone wants to get
    the sources, they are available via apt-get source.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Tue, 19 Sep 2006 19:02:36 +0400

manderlbot (0.9.2-6) unstable; urgency=low

  [ Sergei Golovan ]
  * Added versioned dependency on erlang.
  * Added workaround for FTBFS caused by lyx bug #381622
    (Closes: #381934).

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Wed, 09 Aug 2006 11:42:10 +0400

manderlbot (0.9.2-5) unstable; urgency=low

  [ Sergei Golovan ]
  * Moved dependencies which are used only for architecture
    independent build part from Build-Depends to Build-Depends-Indep
    in debian/control file.

 -- Erlang Packagers <erlang-pkg-devel@lists.berlios.de>  Tue, 04 Jul 2006 15:27:01 +0400

manderlbot (0.9.2-4) unstable; urgency=low

  * New maintainers (Closes:  #342918).

  [ Sergei Golovan ]
  * Changed Build-Depends to erlang 1:10.b.10 package structure.
  * Build using xmerl included into erlang distribution. Therefore
    removed libxmerl-erlang dependency (Closes: #337419).
  * Removed latin1 characters from default config file. Otherwise
    xmerl_scan:file throws an error about invalid UTF-8 symbols.
    So, config should be in UTF-8 encoding (or encoding should be
    specified explicitly).
  * Removed useless xmerl headers from binary package.
  * Removed Postscript doc (leaving PDF).
  * Closes: #340040 since lyx is in Build-Depends.
  * Incorporated changes made in NMU bug (Closes: #242043).
  * Bumped standards version to 3.7.2.

  [ Torsten Werner ]
  * fixed 3 lintian errors (Build-Depends, targets in debian/rules and
    debian/compat)



=== debian/control ===
Source: manderlbot
Section: net
Priority: optional
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep: erlang-dev (>= 1:13.b.1-dfsg-3), lyx, docbook, docbook-utils, hevea, cm-super
Standards-Version: 3.9.5

Package: manderlbot
Architecture: all
Depends: ${erlang:Depends}, ${misc:Depends}
Description: IRC bot, written in Erlang
 Manderlbot is an IRC bot with XML configuration file, allowing you to launch
 it on several servers and channels at once, each channel will have its own
 set of behaviours.
 .
 Behaviours are generics, and you can easily make your own set. If you want
 some not-already-implemented generic behaviour, you'll have to code some
 Erlang.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE)
	#
	# Workaround for lyx bug #381622
	if [ ! -f /usr/share/lyx/textclass.lst ] ; then \
	    HOME=$(CURDIR)/debian ; \
	    export HOME ; \
	    (mkdir ~/.lyx && cd ~/.lyx && /usr/share/lyx/configure.py) ; \
	    $(MAKE) doc ; \
	else \
	    $(MAKE) doc ; \
	fi

override_dh_clean:
	dh_testdir
	dh_testroot
	rm -rf $(CURDIR)/debian/.lyx
	rm -rf $(CURDIR)/debian/.texmf-var
	#
	[ ! -f Makefile ] || $(MAKE) clean
	#
	dh_clean

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/manderlbot/
	#
	# Remove sources
	rm -rf $(CURDIR)/debian/manderlbot/usr/lib/erlang/lib/manderlbot-*/src
	#
	# Remove xmerl headers
	rm -f $(CURDIR)/debian/manderlbot/usr/lib/erlang/lib/manderlbot-*/include/xmerl*.hrl

override_dh_compress:
	dh_compress -X.pdf

override_dh_gencontrol:
	erlang-depends
	dh_gencontrol

.PHONY: override_dh_auto_build override_dh_clean override_dh_auto_install \
	override_dh_compress override_dh_gencontrol

## manderlbot 0.9.3

=== doc/Makefile ===
# $Id$

MANPAGES  = manderlbot.1 manderlbot.conf.5

all: man

man: $(MANPAGES)

%.1:%.1.sgml
	docbook2man $< >/dev/null 2>&1

%.5:%.5.sgml
	docbook2man $< >/dev/null 2>&1


clean:
	-rm -f *~
	-rm -f manpage.links manpage.refs *.1 *.5

=== debian/changelog ===
manderlbot (0.9.3-2) unstable; urgency=medium

  * Incorporate the NMU by Holger Levsen.
  * Fix the debian/watch uscan control file.
  * Add patch by Vagrant Cascadian which fixes erl path for usrmerge systems
    (closes: #1037296).
  * Bump debhelper compatibility level to 13.
  * Bump standards version to 4.6.2.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 10 Jul 2023 09:18:50 +0300

manderlbot (0.9.3-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 02:20:20 +0100

manderlbot (0.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, remove no longer necessary ones.
  * Add debian/watch to track future releases.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 12 Apr 2018 13:29:41 +0300

manderlbot (0.9.2-20) unstable; urgency=medium

  * Convert source files to UTF-8 since this encoding is a default one for
    Erlang sources now.
  * Replace calls to the deprecated random module by calls to the rand one.
  * Refresh and annotate patches.
  * Add Salsa VCS headers.
  * Bump debhelper compatibility level to 10.
  * Bump standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 03 Apr 2018 07:50:44 +0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 8.0.0)
-Build-Depends-Indep: erlang-dev (>= 1:13.b.1-dfsg-3), lyx, docbook, docbook-utils, hevea, cm-super
-Standards-Version: 3.9.5
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Indep: erlang-dev (>= 1:13.b.1-dfsg-3), docbook, docbook-utils
+Standards-Version: 4.6.2
+Vcs-Browser: https://salsa.debian.org/erlang-team/packages/manderlbot
+Vcs-Git: https://salsa.debian.org/erlang-team/packages/manderlbot.git
 
 Package: manderlbot
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

DIR = $(CURDIR)/debian/manderlbot
EDIR = $(DIR)/usr/lib/erlang/lib

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- ERL=/usr/bin/erl

override_dh_auto_build:
	$(MAKE)
	$(MAKE) doc

override_dh_auto_install:
	make install DESTDIR=$(DIR) \
		     CONFDIR=$(DIR)/etc/manderlbot/ \
		     ERLANG_LIB_DIR=$(EDIR)
	#
	# Remove sources
	rm -rf $(EDIR)/manderlbot-*/src
	#
	# Remove unnecessary builder binary and options
	rm -r $(EDIR)/manderlbot-*/BUILD_OPTIONS
	rm -r $(EDIR)/manderlbot-*/ebin/builder.beam
	

override_dh_gencontrol:
	erlang-depends
	dh_gencontrol

.PHONY: override_dh_auto_configure override_dh_auto_build \
	override_dh_auto_install override_dh_gencontrol

=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

https://github.com/nniclausse/manderlbot/tags \
    /nniclausse/manderlbot/archive/refs/tags/manderlbot-([.\d]+).tar.gz
